LibreOffice: XStruct Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XStruct Interface Referencepublished

is used for the standard mapping for a SQL structured type. More...

`import"XStruct.idl";`

Inheritance diagram for XStruct:

## Public Member Functions
string | getSQLTypeName () raises (SQLException)
| retrieves the SQL type name of the SQL structured type that this `Struct` object represents. More...
sequence< any > | getAttributes ([in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| produces the ordered values of the attributes of the SQL structured type that this `Struct` object represents. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for the standard mapping for a SQL structured type.

A `Struct` object contains a value for each attribute of the SQL structured type that it represents. By default, an instance of `Struct` is valid as long as the application has a reference to it.

## Member Function Documentation

## § getAttributes()

sequence<any> getAttributes | ( | [in] com::sun::star::container::XNameAccess | typeMap | ) |
raises | ( | SQLException
| ) |  |

produces the ordered values of the attributes of the SQL structured type that this `Struct` object represents.

This method uses the given type map for customizations of the type mappings. If there is no entry in the given type map that matches or the given type map is `NULL` , the structured type that this `Struct` object represents, the driver uses the connection type mapping.

Parameters

  typeMap | is a map object that contains mappings of SQL type names to services. If the `typeMap`is `NULL` , the type-map associated with the connection for customizations of the type-mappings is used.

Returns
  an array containing the ordered attribute values.

Exceptions

  SQLException | if a database access error occurs.

## § getSQLTypeName()

string getSQLTypeName | ( |  | ) |
raises | ( | SQLException
| ) |  |

retrieves the SQL type name of the SQL structured type that this `Struct` object represents.

Returns
  the name of the SQL type.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XStruct.idl